Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

Settings Apk Recompiling error pls. help

OP sabeeh102

24th April 2014, 09:57 AM   |  #1  
OP Junior Member
Flag Ernakulam
Thanks Meter: 0
 
4 posts
Join Date:Joined: Apr 2014
More
I decompiled settings.apk of Micromax A110 using apktool.I installed framework-res.I did not even touch any file of the decompiled directory.i recompiled it.and it is showing the following error.I cannot even add my name in the ROM i created and it is my first rom .is it any problem with apktool or java.i can get the output apk and it donot get installed in the rom.There is no settings in the app drawer.You people are awesome rom developers .pls help me.i just want to add this. developer name sabeeh. . Thanks in advance.
Attached Files
File Type: txt setting.txt - [Click for QR Code] (15.4 KB, 6 views)
File Type: apk framework-res.apk - [Click for QR Code] (6.56 MB, 2 views)
File Type: apk Settings.apk - [Click for QR Code] (4.05 MB, 4 views)
24th April 2014, 10:23 AM   |  #2  
Vaibhav Chauhan's Avatar
Senior Member
Flag Dahod, Gujarat
Thanks Meter: 140
 
767 posts
Join Date:Joined: Feb 2014
More
Quote:
Originally Posted by sabeeh102

I decompiled settings.apk of Micromax A110 using apktool.I installed framework-res.I did not even touch any file of the decompiled directory.i recompiled it.and it is showing the following error.I cannot even add my name in the ROM i created and it is my first rom .is it any problem with apktool or java.i can get the output apk and it donot get installed in the rom.There is no settings in the app drawer.You people are awesome rom developers .pls help me.i just want to add this. developer name sabeeh. . Thanks in advance.

have you installed proper deodexed framework and systemui apk?
24th April 2014, 10:42 AM   |  #3  
OP Junior Member
Flag Ernakulam
Thanks Meter: 0
 
4 posts
Join Date:Joined: Apr 2014
More
Smile
I installed the frameworks for framework-res ,system ui,and even mediatek-res but no use. plss. help sir
24th April 2014, 08:03 PM   |  #4  
lacoursiere18's Avatar
Recognized Themer
Flag LbTs
Thanks Meter: 5,204
 
3,596 posts
Join Date:Joined: Jan 2013
Donate to Me
More
Quote:
Originally Posted by sabeeh102

I installed the frameworks for framework-res ,system ui,and even mediatek-res but no use. plss. help sir

These are just warnings the apk will compile fine...


Sent from my SCH-I605 using xda app-developers app
24th April 2014, 11:48 PM   |  #5  
Junior Member
Flag Zagreb
Thanks Meter: 13
 
19 posts
Join Date:Joined: Apr 2014
Donate to Me
More
Quote:
Originally Posted by lacoursiere18

These are just warnings the apk will compile fine...


Sent from my SCH-I605 using xda app-developers app

I would say the same thing, with a side note that while warnings are often dismissed because you can still compile and it MAY work, they are there for a reason. In this case, as far as I see, there are missing translations. It may or may not be pertinent, but it should be dismissed upon inspection, not upon realizing that "it compiles".
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes